summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorJulian Andres Klode <jak@debian.org>2017-01-24 19:11:30 +0100
committerJulian Andres Klode <jak@debian.org>2017-01-24 19:19:48 +0100
commitbcb1919a88ea746460e623dd591f7a00135eadda (patch)
tree65ef3d962910ebcf974cfc39439617b5919beede /test
parent9b7c71f145e51c2d655ef09fca434d02db08331d (diff)
test suite: Do not exit 0 in trap for QUIT
This hides errors in the test suite because it will exit with 0 here. Instead, just do exit 1 in most traps, and do just the cleanup in the QUIT hook. This fixes a regression introduced with the caching of the GPG home directory in 4ce2f35248123ff2366c8c365ad6a94945578d66.
Diffstat (limited to 'test')
-rwxr-xr-xtest/integration/run-tests3
1 files changed, 2 insertions, 1 deletions
diff --git a/test/integration/run-tests b/test/integration/run-tests
index 3dcacc7bd..80f1fc61d 100755
--- a/test/integration/run-tests
+++ b/test/integration/run-tests
@@ -114,7 +114,8 @@ removesigninghome() {
GNUPGHOME="${APT_TEST_SIGNINGHOME}" gpgconf --kill gpg-agent >/dev/null 2>&1 || true
rm -rf -- "$APT_TEST_SIGNINGHOME"
}
-trap "removesigninghome; exit 0" 0 HUP INT QUIT ILL ABRT FPE SEGV PIPE TERM
+trap "exit 1" 0 HUP INT ILL ABRT FPE SEGV PIPE TERM
+trap "removesigninghome" 0 QUIT
export APT_TEST_SIGNINGHOME
TOTAL="$(echo "$TESTLIST" | wc -l)"